Name:           wizznic
Version:        1.1
Release:        %mkrel 1
Summary:        Brick-matching puzzle game
Group:          Games/Puzzles
License:        GPLv3+
# http://wizznic.org/
URL:            https://dustedgames.blogspot.com/p/wizznic.html
Source0:        https://github.com/DusteDdk/Wizznic/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         wizznic-1.0-mga-compile-flags.patch

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
Requires:       %{name}-data >= %{version}

%description
Wizznic is a brick-matching puzzle-game, an improved version of Puzznic.
The challenge is to clear each level of bricks by moving the bricks next
to each other, this sounds a lot easier than it is. The bricks are heavy,
so you can only push them, not lift them up.

%files
%doc doc/changelog.txt doc/credits.txt doc/media-licenses.txt doc/music-score-credits.txt doc/readme.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------

%package data
Summary:        Arch-independent data files for the Wizznic game
BuildArch:      noarch

%description data
This package contains arch-independent data files for Wizznic,
a brick-matching puzzle game.

%files data
%{_gamesdatadir}/%{name}/

#----------------------------------------------------------------------

%prep
%autosetup -p1 -n Wizznic-%{version}

%build
%set_build_flags
%make_build -f Makefile.linux \
    BINDIR=%{_gamesbindir} \
    DATADIR=%{_gamesdatadir}/%{name}/ \
    STRIP=:

%install
%make_install -f Makefile.linux \
    BINDIR=%{_gamesbindir} \
    DATADIR=%{_gamesdatadir}/%{name}/

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Wizznic
Comment=Brick-matching puzzle game
GenericName=Puzzle game
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;LogicGame;
EOF

install -D -m644 data/wmicon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Sun Jan 28 2024 daviddavid <daviddavid> 1.1-1.mga9
+ Revision: 2035672
- new version: 1.1 (fixes mga#32781)

* Fri Apr 01 2022 umeabot <umeabot> 1.0-0.20160216.7.mga9
+ Revision: 1839693
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0-0.20160216.6.mga8
+ Revision: 1518187
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.0-0.20160216.5.mga7
+ Revision: 1301676
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 daviddavid <daviddavid> 1.0-0.20160216.4.mga7
+ Revision: 1170691
- drop -Werror compile flag to fix build with gcc7

* Wed Feb 17 2016 akien <akien> 1.0-0.20160216.3.mga6
+ Revision: 963325
- New snapshot

* Wed Feb 17 2016 umeabot <umeabot> 1.0-0.20150317.3.mga6
+ Revision: 963247
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 daviddavid <daviddavid> 1.0-0.20150317.2.mga6
+ Revision: 898327
- do not strip binary to fix empty debuginfo
- force GNU inline semantics, fixes build with gcc5

* Sat Jul 04 2015 akien <akien> 1.0-0.20150317.1.mga6
+ Revision: 850607
- imported package wizznic

